Subject: Re: [PATCH 1/3] rebase: avoid non-function use of "return" on FreeBSD

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Apr 2014 15:51:00 -0700

"Kyle J. McKay" <[email-masked]> writes:

> For convenience, here are the diffs using -w:
>
> |--- a/git-rebase--am.sh
> |+++ b/git-rebase--am.sh
> |@@ -4,6 +4,7 @@
>  # Copyright (c) 2010 Junio C Hamano.
>  #
>  
> +git_rebase__am() {
>  	case "$action" in
>  	continue)
>  		git am --resolved --resolvemsg="$resolvemsg" &&
> |@@ -73,3 +74,5 @@ then
>  	fi
>  
>  	move_to_original_branch
> +}
> +git_rebase__am

I think we would want to see the actual change formatted this way
(without needing to pass "-w" to "git show"), as it will make it
clear that this artificial extra level of "define the whole thing
inside a function and then make a single call to it" is a workaround
of specific shell's glitch that we would not have to have in an
ideal world ;-)

Besides that would make it less likely to cause conflicts with the
real changes in flight.

Please double check what I queued on 'pu' when I push out today's
integration result.

Thanks.